PositionIncrementAttributeImpl (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.analysis.tokenattributes, class: PositionIncrementAttributeImpl

Package org.apache.lucene.analysis.tokenattributes

# Class PositionIncrementAttributeImpl

java.lang.Object
org.apache.lucene.util.AttributeImpl
org.apache.lucene.analysis.tokenattributes.PositionIncrementAttributeImpl

All Implemented Interfaces:
  `Cloneable`, `PositionIncrementAttribute`, `Attribute`

public class PositionIncrementAttributeImpl extends AttributeImpl implements PositionIncrementAttribute
Default implementation of `PositionIncrementAttribute`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PositionIncrementAttributeImpl()`
  Initialize this attribute with position increment of 1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Clears the values in this AttributeImpl and resets it to its default value.
  `void`
  `copyTo(AttributeImpl target)`
  Copies the values from this Attribute into the passed-in target attribute.
  `void`
  `end()`
  Clears the values in this AttributeImpl and resets it to its value at the end of the field.
  `boolean`
  `equals(Object other)`
  `int`
  `getPositionIncrement()`
  Returns the position increment of this Token.
  `int`
  `hashCode()`
  `void`
  `reflectWith(AttributeReflector reflector)`
  This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.
  `void`
  `setPositionIncrement(int positionIncrement)`
  Set the position increment.

  ### Methods inherited from class org.apache.lucene.util.AttributeImpl

  `clone, reflectAsString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PositionIncrementAttributeImpl

    public PositionIncrementAttributeImpl()
    Initialize this attribute with position increment of 1

- ## Method Details

  - ### setPositionIncrement

    public void setPositionIncrement(int positionIncrement)
    Description copied from interface: `PositionIncrementAttribute`
    Set the position increment. The default value is one.
    Specified by:
      `setPositionIncrement` in interface `PositionIncrementAttribute`
    Parameters:
      `positionIncrement` - the distance from the prior term
    See Also:
      - `PositionIncrementAttribute.getPositionIncrement()`

  - ### getPositionIncrement

    public int getPositionIncrement()
    Description copied from interface: `PositionIncrementAttribute`
    Returns the position increment of this Token.
    Specified by:
      `getPositionIncrement` in interface `PositionIncrementAttribute`
    See Also:
      - `PositionIncrementAttribute.setPositionIncrement(int)`

  - ### clear

    public void clear()
    Description copied from class: `AttributeImpl`
    Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
    Specified by:
      `clear` in class `AttributeImpl`

  - ### end

    public void end()
    Description copied from class: `AttributeImpl`
    Clears the values in this AttributeImpl and resets it to its value at the end of the field. If this implementation implements more than one Attribute interface it clears all.

    The default implementation simply calls `AttributeImpl.clear()`

    Overrides:
      `end` in class `AttributeImpl`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### copyTo

    public void copyTo(AttributeImpl target)
    Description copied from class: `AttributeImpl`
    Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
    Specified by:
      `copyTo` in class `AttributeImpl`

  - ### reflectWith

    public void reflectWith(AttributeReflector reflector)
    Description copied from class: `AttributeImpl`
    This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.

    Implementations look like this (e.g. for a combined attribute implementation):

           public void reflectWith(AttributeReflector reflector) {
             reflector.reflect(CharTermAttribute.class, "term", term());
             reflector.reflect(PositionIncrementAttribute.class, "positionIncrement", getPositionIncrement());
           }

    If you implement this method, make sure that for each invocation, the same set of `Attribute` interfaces and keys are passed to `AttributeReflector.reflect(java.lang.Class<? extends org.apache.lucene.util.Attribute>, java.lang.String, java.lang.Object)` in the same order, but possibly different values. So don't automatically exclude e.g. `null` properties!

    Specified by:
      `reflectWith` in class `AttributeImpl`
    See Also:
      - `AttributeImpl.reflectAsString(boolean)`